---
updatedAt: 2026-05-13T09:03:43.000Z
---

# Get time zone IDs for exports

Get time zone IDs used to format time zones in exports

## Details

Returns timezone IDs to use with endpoints that support the `timezone` query parameter for time-based filtering.

[block:callout]
{
  "type": "info",
  "title": "Note",
  "body": "The example response does not show the full set of timezones returned."
}
[/block]

Each `result` in the response includes an `id`. For example

```
    {
      "id":"Etc/GMT+12",
      "name":"GMT-12:00",
      "shortName":"GMT-12:00",
      "offsetString":"-12:00",
      "offsetMillis":-43200000
    }
```

Use the value of the `id` field in the response as the value of the `timezone` query parameter passed to export generation endpoints that support time-based filtering. The timezone ID must be URL-encoded when passing in endpoints.

This example shows how to use a timezone ID in an export generation endpoint:

[block:code]
{
  "codes": [
    {
      "code": "curl -u username:password -XPOST \\\n'https://analytics-api.app.lithium.com/api/public/reports/report/marketing/raw_brand_posts?reportFormat=CSV&companyKey=[company_key]'&'startTime=1462078800000&endTime=1466445258521&timezone=America%2FChicago'",
      "language": "curl",
      "name": "Use the id value to format the timezone in exports"
    }
  ]
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "analytics-reports",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://analytics-api.app.lithium.com/api/public"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/config/timezones": {
      "get": {
        "summary": "Get time zone IDs for exports",
        "description": "Get time zone IDs used to format time zones in exports",
        "operationId": "configtimezones",
        "parameters": [
          {
            "name": "companyKey",
            "in": "query",
            "description": "The company key found in **Account Admin > General Settings > Analytics API Settings**",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "locale",
            "in": "query",
            "description": "A locale code to filter the response. Default is `en`",
            "schema": {
              "type": "string",
              "default": "en"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\":\"PASS\",\n  \"request\":null,\n  \"message\":null,\n  \"result\":[\n    {\n      \"id\":\"Etc/GMT+12\",\n      \"name\":\"GMT-12:00\",\n      \"shortName\":\"GMT-12:00\",\n      \"offsetString\":\"-12:00\",\n      \"offsetMillis\":-43200000\n    },\n    {\n      \"id\":\"Etc/GMT+11\",\n      \"name\":\"GMT-11:00\",\n      \"shortName\":\"GMT-11:00\",\n      \"offsetString\":\"-11:00\",\n      \"offsetMillis\":-39600000\n    },\n    ...\n    {\n      \"id\":\"Pacific/Apia\",\n      \"name\":\"Samoa Daylight Time\",\n      \"shortName\":\"SDT\",\n      \"offsetString\":\"+14:00\",\n      \"offsetMillis\":50400000\n    }\n  ]\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -u [USERNAME]:[PASSWORD] \\\n  'https://analytics-api.app.lithium.com/api/public/config/timezones?locale=en&companyKey=[COMPANY_KEY]'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```